gnofract4d(1)

NAME
gnofract4d - a GUI fractal generator/explorer

SYNOPSIS
gnofract4d

DESCRIPTION
gnofract4d is a free, open source program which allows anyone to create beautiful images called fractals. The images are automatically created by the computer based on mathematical principles. These include the Mandelbrot and Julia sets and many more. You don't need to do any math: you can explore a universe of images just using a mouse.

USAGE
gnofract4d [OPTIONS]

OPTIONS

To generate an image non-interactively, use:

gnofract4d -s myimage.png -q myfractal.fct

General Flags:

-h --help
    Show this message

-v --version
    Show version info

-q --quit
    Exit as soon as the image is finished

-X --explorer
    Start in explorer mode

Fractal Settings:

-p --params FILE
    Use FILE as a parameter file

-s --save IMAGEFILE
    Save image to IMAGEFILE after calculation

-i --width N
    Make image N pixels wide

-j --height N
    Make image N pixels tall

-P --path P
    Add P to the formula search path

-f --formula F#func
    Use formula 'func' from file F

--inner F#func
    Use coloring algorithm 'func' from file F

--outer F#func
    Use coloring algorithm 'func' from file F

--transforms F#func1,F2#func2
    Apply transforms 'func1' and 'func2'

-m --maxiter N
    Use N as maximum number of iterations

--map FILE
    Load map file FILE

Positional Parameters:

--xcenter N

--ycenter N

--zcenter N

--wcenter N

--xyangle N

--xzangle N

--xwangle N

--yzangle N

--ywangle N

--zwangle N

--magnitude N
    Obscure settings:

--trace              Produce voluminous tracing output

--nogui              Run with no UI (doesn't require X or GTK)

VERSION
3.4

BUGS
None known... Report discovered bugs here: http://sourceforge.net/tracker/?group_id=785&atid=100785

AUTHOR
Tim Whidbey This man-page was written by Aleksander Adamowski <aleksander.adamowski@gmail.com> as part of "The Missing Man Pages Project". Please see http://www.netmeister.org/misc/m2p2/index.html for details.